﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ProtoBuf;
using System.IO;

namespace protobufTest {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e) {
            List<User> list = new List<User>();
            for (int i = 0; i < 1000; i++) {
                //list.Add(new User() { UserID = i, UserName = "u" + i.ToString(), UserName2 = "u2" + i.ToString() });
                list.Add(new User() { UserID = i, UserName = "u" + i.ToString() });
            }

            //protobuff 
            string path = AppDomain.CurrentDomain.BaseDirectory + "protobuf.txt";
            using (Stream file = File.Create(path)) {
                Serializer.Serialize<List<User>>(file, list);
                file.Close();
            }
        }

        private void button2_Click(object sender, EventArgs e) {
            string path = AppDomain.CurrentDomain.BaseDirectory + "protobuf.txt";

            List<User> list2 = new List<User>();
            using (Stream file = File.OpenRead(path)) {
                list2 = Serializer.Deserialize<List<User>>(file);
            }

            dataGridView1.DataSource = list2;

        }
    }
}
